Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book.install
Class BookMetaDataTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.crosswire.common.swing.MapTableModel
              org.crosswire.bibledesktop.book.install.BookMetaDataTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class BookMetaDataTableModel

extends MapTableModel

A TableModel that displays the data in a BookMetaData object.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: BookMetaDataTableModel.java,v 1.2 2005/03/06 20:21:36 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`private BookMetaData` | `bmd` The meta data that we are displaying
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`BookMetaDataTableModel()` Simple ctor
`BookMetaDataTableModel(BookMetaData bmd)` Simple ctor with default BookMetaData

Method Summary
`BookMetaData` | `getBookMetaData()`
`void` | `setBookMetaData(BookMetaData bmd)`

Methods inherited from class org.crosswire.common.swing.MapTableModel
`add, getColumnClass, getColumnCount, getColumnName, getRowCount, getValue, getValueAt, remove, setColumnName, setMap, update`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bmd

    private BookMetaData bmd

  The meta data that we are displaying

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### BookMetaDataTableModel

    public BookMetaDataTableModel()

  Simple ctor

### BookMetaDataTableModel

    public BookMetaDataTableModel(BookMetaData bmd)

  Simple ctor with default BookMetaData

Method Detail

### getBookMetaData

    public BookMetaData getBookMetaData()

  Returns:
    Returns the BookMetaData.

### setBookMetaData

    public final void setBookMetaData(BookMetaData bmd)

  Parameters:
    `bmd` - The BookMetaData to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD